Class | Fog::AWS::Glacier::Real
In: | lib/fog/aws/requests/glacier/abort_multipart_upload.rb lib/fog/aws/requests/glacier/set_vault_notification_configuration.rb lib/fog/aws/requests/glacier/delete_vault_notification_configuration.rb lib/fog/aws/requests/glacier/create_archive.rb lib/fog/aws/requests/glacier/list_vaults.rb lib/fog/aws/requests/glacier/describe_job.rb lib/fog/aws/requests/glacier/complete_multipart_upload.rb lib/fog/aws/requests/glacier/delete_archive.rb lib/fog/aws/requests/glacier/create_vault.rb lib/fog/aws/requests/glacier/upload_part.rb lib/fog/aws/requests/glacier/describe_vault.rb lib/fog/aws/requests/glacier/list_multipart_uploads.rb lib/fog/aws/requests/glacier/get_vault_notification_configuration.rb lib/fog/aws/requests/glacier/list_parts.rb lib/fog/aws/requests/glacier/list_jobs.rb lib/fog/aws/requests/glacier/initiate_job.rb lib/fog/aws/requests/glacier/initiate_multipart_upload.rb lib/fog/aws/requests/glacier/get_job_output.rb lib/fog/aws/requests/glacier/delete_vault.rb lib/fog/aws/glacier.rb
Parent: | Object

### Methods

abort_multipart_upload complete_multipart_upload create_archive create_vault delete_archive delete_vault delete_vault_notification_configuration describe_job describe_vault get_job_output get_vault_notification_configuration initiate_job initiate_multipart_upload list_jobs list_multipart_uploads list_parts list_vaults new set_vault_notification_configuration upload_part

### Included Modules

Fog::AWS::CredentialFetcher::ConnectionMethods

### Public Class methods

new(options={})

Initialize connection to Glacier

#### Notes

options parameter must include values for :aws_access_key_id and :aws_secret_access_key in order to create a connection

#### Examples

      ses = SES.new(
       :aws_access_key_id => your_aws_access_key_id,
       :aws_secret_access_key => your_aws_secret_access_key
      )

#### Parameters

- options<~Hash> - config arguments for connection. Defaults to {}.
  - region<~String> - optional region to use. For instance, ‘us-east-1’ and etc.

#### Returns

- Glacier object with connection to AWS.

### Public Instance methods

abort_multipart_upload(vault_name, upload_id, options={})

Abort an upload

#### Parameters

- name<~String> Name of the vault to upload to
- upload_id<~String> The id of the upload to complete
- options<~Hash>
  - account_id<~String> - The AWS account id. Defaults to the account owning the credentials making the request

#### Returns

- response<~Excon::Response>:

#### See Also

docs.amazonwebservices.com/amazonglacier/latest/dev/api-multipart-abort-upload.html

complete_multipart_upload(vault_name, upload_id, total_size, tree_hash, options={})

Complete an upload

#### Parameters

- name<~String> Name of the vault to upload to
- upload_id<~String> The id of the upload to complete
- total_size<~Integer> The total archive size
- tree_hash<~String> the treehash for the archive
- options<~Hash>
  - account_id<~String> - The AWS account id. Defaults to the account owning the credentials making the request

#### Returns

- response<~Excon::Response>:

#### See Also

docs.amazonwebservices.com/amazonglacier/latest/dev/api-multipart-complete-upload.html

create_archive(vault_name, body, options={})

Upload an archive

#### Parameters

- name<~String> Name of the vault to upload to
- body<~String> The data to upload
- options<~Hash>
  - description<~String> - The archive description
  - account_id<~String> - The AWS account id. Defaults to the account owning the credentials making the request

#### Returns

- response<~Excon::Response>:

#### See Also

docs.amazonwebservices.com/amazonglacier/latest/dev/api-archive-post.html

create_vault(name,options={})

This operation creates a new vault with the specified name. .

#### Parameters

- name<~String> 1-255 characters. must be unique within a region for an AWS account
- options<~Hash>
  - account_id<~String> - The AWS account id. Defaults to the account owning the credentials making the request

#### Returns

- response<~Excon::Response>:
  - body<~Hash>:

#### See Also

docs.amazonwebservices.com/amazonglacier/latest/dev/api-vault-put.html

delete_archive(name,archive_id,options={})

Delete an archive

#### Parameters

- name<~String> Name of the vault to delete
- options<~Hash>
  - account_id<~String> - The AWS account id. Defaults to the account owning the credentials making the request

#### Returns

- response<~Excon::Response>:
  - body<~Hash>:
    - ‘RequestId’<~String> - Id of the request

#### See Also

docs.amazonwebservices.com/amazonglacier/latest/dev/api-vault-delete.html

delete_vault(name,options={})

Delete a vault. Amazon Glacier will delete a vault only if there are no archives in the vault as per the last inventory and there have been no writes to the vault since the last inventory

#### Parameters

- name<~String> Name of the vault to delete
- options<~Hash>
  - account_id<~String> - The AWS account id. Defaults to the account owning the credentials making the request

#### Returns

- response<~Excon::Response>:

#### See Also

docs.amazonwebservices.com/amazonglacier/latest/dev/api-vault-delete.html

delete_vault_notification_configuration(name,options={})

Delete vault‘s notification configuration

#### Parameters

- name<~String> Name of the vault
- options<~Hash>
  - account_id<~String> - The AWS account id. Defaults to the account owning the credentials making the request

#### Returns

- response<~Excon::Response>:

#### See Also

docs.amazonwebservices.com/amazonglacier/latest/dev/api-vault-notifications-delete.html

describe_job(vault_name, job_id, options={})

Complete an upload

#### Parameters

- name<~String> Name of the vault
- job_id<~String> The id of the job
- options<~Hash>
  - account_id<~String> - The AWS account id. Defaults to the account owning the credentials making the request

#### Returns

- response<~Excon::Response>:

#### See Also

docs.amazonwebservices.com/amazonglacier/latest/dev/api-describe-job-get.html

describe_vault(name,options={})

This operation returns information about a vault

#### Parameters

- name<~String> Vault name
- options<~Hash>
  - account_id<~String> - The AWS account id. Defaults to the account owning the credentials making the request

#### Returns

- response<~Excon::Response>:
  - body<~Hash>:

#### See Also

docs.amazonwebservices.com/amazonglacier/latest/dev/api-vault-get.html

get_job_output(vault_name, job_id, options={})

Get the output from a job

#### Parameters

- name<~String> Name of the vault
- job_id<~String> The id of the job
- options<~Hash>
  - Range<~Range> The range to retrieve
  - account_id<~String> - The AWS account id. Defaults to the account owning the credentials making the request
  - response_block<~Proc> Proc to use for streaming the response

#### Returns

- response<~Excon::Response>:

#### See Also

docs.amazonwebservices.com/amazonglacier/latest/dev/api-job-output-get.html

get_vault_notification_configuration(name,options={})

Get a vault‘s notification configuration

#### Parameters

- name<~String> Name of the vault
- options<~Hash>
  - account_id<~String> - The AWS account id. Defaults to the account owning the credentials making the request

#### Returns

- response<~Excon::Response>:
  - body<~Hash>:

#### See Also

docs.amazonwebservices.com/amazonglacier/latest/dev/api-vault-notifications-get.html

initiate_job(name, job_specification, options={})

This operation initates a multipart upload of an archive to a vault

#### Parameters

- name<~String> The vault name
- job_specification<~Hash> A specification of the job

       * Type<~String> The job type. Mandatory. Values: archive-retrieval, inventory-retrieval
       * Description<~String> The job description
       * ArchiveId<~String> The id of the archive to retrieve (only for Type==archive-retrieval)
       * Format<~String> The format to return (only for inventory retrieval). Values: CSV, JSON
       * SNSTopic<String> ARN of a topic to publish to when the job is complete

- options<~Hash>
  - account_id<~String> - The AWS account id. Defaults to the account owning the credentials making the request

#### Returns

- response<~Excon::Response>:
  - body<~Hash>:

#### See Also

docs.amazonwebservices.com/amazonglacier/latest/dev/api-initiate-job-post.html

initiate_multipart_upload(name, part_size, options={})

This operation initates a multipart upload of an archive to a vault

#### Parameters

- name<~String> The vault name
- part_size<~Integer> The part size to use. Must be a power of 2 multiple of 1MB (1,2,4,8,16,…)
- options<~Hash>
  - description<~String> - The archive description
  - account_id<~String> - The AWS account id. Defaults to the account owning the credentials making the request

#### Returns

- response<~Excon::Response>:
  - body<~Hash>:

#### See Also

docs.amazonwebservices.com/amazonglacier/latest/dev/api-multipart-initiate-upload.html

list_jobs(vault_name, options={})

      lists in-progress and recently jobs for the specified vault

     ==== Parameters
     * name<~String> Name of the vault
     * options<~Hash>
       * completed<~Boolean>Specifies the state of the jobs to return. You can specify true or false
       * statuscode<~String> Filter returned jobs by status (InProgress, Succeeded, or Failed)
       * limit<~Integer> - The maximum number of items returned in the response. (default 1000)
       * marker<~String> - marker used for pagination
       * account_id<~String> - The AWS account id. Defaults to the account owning the credentials making the request
     ==== Returns
     * response<~Excon::Response>:
     ==== See Also

docs.amazonwebservices.com/amazonglacier/latest/dev/api-jobs-get.html

list_multipart_uploads(vault_name, options={})

     lists in-progress multipart uploads for the specified vault

#### Parameters

- name<~String> Name of the vault
- options<~Hash>
  - limit<~Integer> - The maximum number of items returned in the response. (default 1000)
  - marker<~String> - marker used for pagination
  - account_id<~String> - The AWS account id. Defaults to the account owning the credentials making the request

#### Returns

- response<~Excon::Response>:

#### See Also

docs.amazonwebservices.com/amazonglacier/latest/dev/api-multipart-list-uploads.html

list_parts(vault_name, upload_id, options={})

     lists the parts of an archive that have been uploaded in a specific multipart upload

#### Parameters

- name<~String> Name of the vault
- upload_id<~String> The id of the upload
- options<~Hash>
  - limit<~Integer> - The maximum number of items returned in the response. (default 1000)
  - marker<~String> - marker used for pagination
  - account_id<~String> - The AWS account id. Defaults to the account owning the credentials making the request

#### Returns

- response<~Excon::Response>:

#### See Also

docs.amazonwebservices.com/amazonglacier/latest/dev/api-multipart-list-parts.html

list_vaults(options={})

This operation lists all vaults owned by the calling user’s account.

#### Parameters

- options<~Hash>
  - limit<~Integer> - The maximum number of items returned in the response. (default 1000)
  - marker<~String> - marker used for pagination
  - account_id<~String> - The AWS account id. Defaults to the account owning the credentials making the request

#### Returns

- response<~Excon::Response>:
  - body<~Hash>:

#### See Also

docs.amazonwebservices.com/amazonglacier/latest/dev/api-vaults-get.html

set_vault_notification_configuration(name,sns_topic, events, options={})

Set a vault‘s notification configuration

#### Parameters

- name<~String> Name of the vault
- SnsTopic<~String> ARN of the topic to notify
- events<~Array> Events you wish to receive. Valid events are ArchiveRetrievalCompleted, InventoryRetrievalCompleted
- options<~Hash>
  - account_id<~String> - The AWS account id. Defaults to the account owning the credentials making the request

#### Returns

- response<~Excon::Response>:
  - body<~Hash>:

#### See Also

docs.amazonwebservices.com/amazonglacier/latest/dev/api-vault-notifications-put.html

upload_part(vault_name, upload_id, body, offset, hash, options={})

Upload an archive

#### Parameters

- name<~String> Name of the vault to upload to
- uploadId<~String> Id of the upload
- body<~String> The data to upload
- offset<~Integer> The offset of the data within the archive
- hash<~String> The tree hash for this part
- options<~Hash>
  - account_id<~String> - The AWS account id. Defaults to the account owning the credentials making the request

#### Returns

- response<~Excon::Response>:

#### See Also

docs.amazonwebservices.com/amazonglacier/latest/dev/api-upload-part.html

[Validate]